Skip to main content
`Ctrl`+`K`

# check_broadcast

astropy.utils.shapes.check_broadcast(*shapes)

  Deprecated since version 7.0: The check_broadcast function is deprecated and may be removed in a future version. Use np.broadcast_shapes instead.

  Determines whether two or more Numpy arrays can be broadcast with each other based on their shape tuple alone.

  Parameters:
    *shapes `python:tuple`

      All shapes to include in the comparison. If only one shape is given it is passed through unmodified. If no shapes are given returns an empty `tuple`.

  Returns:
    broadcast `tuple`

      If all shapes are mutually broadcastable, returns a tuple of the full broadcast shape.